Redmine - Defect #28190

Apache passenger stopped work after upgrade passenger from 5.1.12 to 5.20

2018-02-14 12:05 - Karen Arzumanyan

Status: Closed Start date:

Priority: High Due date:

Assignee: % Done: 0%
Category: Administration Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version: 3.2.1
Description

After upgrade Apache module Passenger from 5.1.12 to 5.2.0 Apache doesn't start properly and exit with the error

# apache2ctl configtest

Invalid command 'PassengerResolveSymlinksinDocumentRoot', perhaps misspelled or defined by a module not included in the

server configuration
After comment string in Apache virtual host

# PassengerResolveSymlinksInDocumentRoot on

Apache starts but Redmine doesn't work showing listing directoty/files insted of main page(another words can't find index file)

OS: Ubuntu 14.04.5 LTS

PassengerResolveSymlinksinDocumentRoot

This option has been removed in 5.2.0 version according to

https://blog.phusion.nl/2018/01/29/passenger-5-2-0/

How to install instruction (https://www.redmine.org/projects/redmine/wiki/HowTolnstallRedmineOnUbuntuServer) is incorrect now.

Detail:

https://stackoverflow.com/questions/48623209/apache-passenger-stopped-work-after-upgrade-passenger-from-5-1-12-t0-5-20

History

#1 - 2018-02-14 12:35 - Karen Arzumanyan

Any details: https://serverfault.com/questions/895683/apache-isnt-started-via-mod-passenger

#2 - 2018-02-14 13:03 - Karen Arzumanyan

| resolve this problem with downgrade passenger version.

1) Uninstall new version:
apt-get remove -y passenger libapache2-mod-passenger

2) Install specific version:

sudo apt-get install passenger=1:5.1.12-1~trusty1

sudo apt-get install libapache2-mod-passenger=1:5.1.12-1~trusty1
sudo apt-get install passenger-dev=1:5.1.12-1~trusty1

3) Enaple apache module:
sudo a2enmod passenger

4) Restart apache:
sudo service apache2 restart

#3 - 2020-02-03 03:43 - Go MAEDA
- Status changed from New to Closed

- Resolution set to Invalid

Closing because this is a third-party software issue.

#4 - 2020-08-10 22:46 - Mark Anderson

For folks who still come to this, PassengerAppRoot is the replacement command and should point to wherever the applications root is, e.g.
PassengerAppRoot /opt/redmine
